Error al instalar KEME-Contabilidad  [Solucionado]

Las cuestiones relacionadas con el uso del Arch User Repository (AUR).
Reglas del Foro
Lea las normas y conductas de la comunidad en "Zona Normatividad".
Busca antes de preguntar en Google y en el buscador de este foro.
Si se soluciona tu problema presione el botón en V de color verde, Imagen, para añadir un [Solucionado].

Error al instalar KEME-Contabilidad

Notapor Comanshark » Mar, 17 Mar 2015, 07:09  •  [Mensaje 1]

Buenas amigos de la comunidad.

Hoy traigo un problema sobre un programa contable. Se llama KEME-Contabilidad.

El paquete se encuentra en AUR y decidi bajar el tallbar para compilarlo, pero a la hora de hacerlo me sale esto:

Código: Seleccionar todo
[eddy@EC0024 keme]$ makepkg -s
==> ERROR: Falta la función package() en /home/eddy/Descargas/keme/PKGBUILD


Parece que hay un error en el PKGBUILD y yo no entiendo mucho de ello.

¿Alguna solución?

Gracias de antemano.
Avatar de Usuario
Comanshark

Aprendiz
 
Mensajes: 20
Registrado: Lun, 16 Mar 2015, 23:46
Ubicación: Honduras
Distro actual: Manjaro Linux
Versión: 0.8.13.1
Escritorio: Cinnamon
Rama: Stable

Re: Error al instalar KEME-Contabilidad

Notapor Spooky » Mar, 17 Mar 2015, 15:50  •  [Mensaje 2]

Bueno para empezar el PKGBUILD esta desactualizado..
Por lo demás, supongo bajaste el tarball del PKGBUILD y no el source?

Es más simple descargar el source del sitio del proyecto e instalar manualmente, probé descargar y el tarball incluye un archivo instalar con una simple instrucción..

Saludos
Avatar de Usuario
Spooky

Moderador
 
Mensajes: 1422
Registrado: Sab, 06 Jul 2013, 02:04
Ubicación: Behind your computer

Re: Error al instalar KEME-Contabilidad

Notapor Comanshark » Mar, 17 Mar 2015, 17:52  •  [Mensaje 3]

Intente compilar desde el código fuente pero siempre hay un problema, este es lo que me salio:

Código: Seleccionar todo
[eddy@EC0024 keme-2.9.8.2]$ make
g++ -c -pipe -O2 -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -D_REENTRANT -Wall -W -fPIE -DENTERPRISE -DCOMUNIDAD -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/include/qt -isystem /usr/include/qt/QtGui -isystem /usr/include/qt/QtSql -isystem /usr/include/qt/QtXml -isystem /usr/include/qt/QtCore -I.moc -I/usr/lib/qt/mkspecs/linux-g++ -o .obj/main.o main.cpp
main.cpp:22:24: error fatal: QApplication: No existe el fichero o el directorio
 #include <QApplication>
                        ^
compilación terminada.
Makefile:2181: fallo en las instrucciones para el objetivo '.obj/main.o'
make: *** [.obj/main.o] Error 1


De ahí no paso (Aunque el programa esta en el menu "Oficina" pero tiene un problema siempre.
Avatar de Usuario
Comanshark

Aprendiz
 
Mensajes: 20
Registrado: Lun, 16 Mar 2015, 23:46
Ubicación: Honduras
Distro actual: Manjaro Linux
Versión: 0.8.13.1
Escritorio: Cinnamon
Rama: Stable

Re: Error al instalar KEME-Contabilidad

Notapor Spooky » Mar, 17 Mar 2015, 21:01  •  [Mensaje 4]

Bueno realmente no entiendo mucho los errores de compilación.
Probé instalar el paquete dese AUR usando un helper, en mi caso packer y no hubo problemas.
En tu caso debes tener yaourt, así que:
Código: Seleccionar todo
yaourt -S keme


La compilación tarda un buen rato.

Saludos
Avatar de Usuario
Spooky

Moderador
 
Mensajes: 1422
Registrado: Sab, 06 Jul 2013, 02:04
Ubicación: Behind your computer

Re: Error al instalar KEME-Contabilidad  [Solucionado]

Notapor Comanshark » Jue, 19 Mar 2015, 04:08  •  [Mensaje 5]

También me da ese mismo error con yaourt. Por la falta de package().

== Editado en Noviembre 3rd, 2015, 3:59 pm ==

Perdón por la tardanza, pero es que ya días no me conectaba a internet. Lo de AUR al parecer ya quitaron ese paquete así que ya no se puede instalar por ahí. Compile desde el código fuente, solo es de seguir las instrucciones de ahí solo con que el comando "qmake" lo reemplace por "qmake-qt4" ya que tenia el QT5 instalado y keme esta bajo QT4.
Avatar de Usuario
Comanshark

Aprendiz
 
Mensajes: 20
Registrado: Lun, 16 Mar 2015, 23:46
Ubicación: Honduras
Distro actual: Manjaro Linux
Versión: 0.8.13.1
Escritorio: Cinnamon
Rama: Stable


  • Temas Parecidos
    Respuestas
    Vistas
    Último mensaje

Volver a AUR



¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 1 invitado




StaffBorrar las cookies


cron
^ Ir Arriba